/**
* 文件：MateriaSupplierQuery.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.module.materia.model;
import java.util.List;

/**
 * <p>Title: 物料供应商表</p>
 * <p>Description: MateriaSupplierQuery  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class MateriaSupplierQuery extends MateriaSupplierEntity{
	private static final long serialVersionUID = 1614063230599L;
	/** 开始 ID，自增长 */
	private Long idStart;

	/** 结束 ID，自增长 */
	private Long idEnd;

	/** 增加 ID，自增长 */
	private Long idIncrement;

	/** ID，自增长 */
	private List<Long> idList;

	/** 开始 物料ID */
	private Long materiaIdStart;

	/** 结束 物料ID */
	private Long materiaIdEnd;

	/** 增加 物料ID */
	private Long materiaIdIncrement;

	/** 物料ID */
	private List<Long> materiaIdList;

	/** 开始 供应商ID，partner表ID */
	private Long supplierIdStart;

	/** 结束 供应商ID，partner表ID */
	private Long supplierIdEnd;

	/** 增加 供应商ID，partner表ID */
	private Long supplierIdIncrement;

	/** 供应商ID，partner表ID */
	private List<Long> supplierIdList;

	/** 开始 交货期 */
	private Long deliveryPeriodStart;

	/** 结束 交货期 */
	private Long deliveryPeriodEnd;

	/** 增加 交货期 */
	private Long deliveryPeriodIncrement;

	/** 交货期 */
	private List<Long> deliveryPeriodList;

	/** 开始 交货期单位，参数配置-DeliveryPeriodUnit小时，工作日，自然日，周，月 */
	private Integer deliveryPeriodUnitStart;

	/** 结束 交货期单位，参数配置-DeliveryPeriodUnit小时，工作日，自然日，周，月 */
	private Integer deliveryPeriodUnitEnd;

	/** 增加 交货期单位，参数配置-DeliveryPeriodUnit小时，工作日，自然日，周，月 */
	private Integer deliveryPeriodUnitIncrement;

	/** 交货期单位，参数配置-DeliveryPeriodUnit小时，工作日，自然日，周，月 */
	private List<Integer> deliveryPeriodUnitList;

	/** 供应商物料代码 */
	private List<String> supplierMateriaCodeList;

	/** 开始 计量单位，参数配置-UnitOfMeasure */
	private Long unitOfMeasureStart;

	/** 结束 计量单位，参数配置-UnitOfMeasure */
	private Long unitOfMeasureEnd;

	/** 增加 计量单位，参数配置-UnitOfMeasure */
	private Long unitOfMeasureIncrement;

	/** 计量单位，参数配置-UnitOfMeasure */
	private List<Long> unitOfMeasureList;

	/** 开始 供货成本，单位：厘/计量单位 */
	private Long costPlanStart;

	/** 结束 供货成本，单位：厘/计量单位 */
	private Long costPlanEnd;

	/** 增加 供货成本，单位：厘/计量单位 */
	private Long costPlanIncrement;

	/** 供货成本，单位：厘/计量单位 */
	private List<Long> costPlanList;

	/** 开始 变更时间 */
	private String updateTimeStart;

	/** 结束 变更时间 */
	private String updateTimeEnd;

	/** 变更用户loginName */
	private List<String> updateUserList;

	/** 开始 创建时间 */
	private String createTimeStart;

	/** 结束 创建时间 */
	private String createTimeEnd;

	/** 创建用户loginName */
	private List<String> createUserList;

	/** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
	private List<MateriaSupplierQuery> orConditionList;

	/** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
	private List<MateriaSupplierQuery> andConditionList;


	public MateriaSupplierQuery(){
	}
	/**
	 * 获取 开始 ID，自增长
	 * @return idStart
	 */
	public Long getIdStart(){
		return this.idStart;
	}

	/**
	 * 设置 开始 ID，自增长
	 * @param idStart
	 */
	public void setIdStart(Long idStart){
		this.idStart = idStart;
	}

	/**
	 * 获取 结束 ID，自增长
	 * @return idEnd
	 */
	public Long getIdEnd(){
		return this.idEnd;
	}

	/**
	 * 设置 结束 ID，自增长
	 * @param idEnd
	 */
	public void setIdEnd(Long idEnd){
		this.idEnd = idEnd;
	}

	/**
	 * 获取 增加 ID，自增长
	 * @return idIncrement
	 */
	public Long getIdIncrement(){
		return this.idIncrement;
	}

	/**
	 * 设置 增加 ID，自增长
	 * @param idIncrement
	 */
	public void setIdIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
	}

	/**
	 * 获取 ID，自增长
	 * @return idList
	 */
	public List<Long> getIdList(){
		return this.idList;
	}

	/**
	 * 设置 ID，自增长
	 * @param idList
	 */
	public void setIdList(List<Long> idList){
		this.idList = idList;
	}

	/**
	 * 获取 开始 物料ID
	 * @return materiaIdStart
	 */
	public Long getMateriaIdStart(){
		return this.materiaIdStart;
	}

	/**
	 * 设置 开始 物料ID
	 * @param materiaIdStart
	 */
	public void setMateriaIdStart(Long materiaIdStart){
		this.materiaIdStart = materiaIdStart;
	}

	/**
	 * 获取 结束 物料ID
	 * @return materiaIdEnd
	 */
	public Long getMateriaIdEnd(){
		return this.materiaIdEnd;
	}

	/**
	 * 设置 结束 物料ID
	 * @param materiaIdEnd
	 */
	public void setMateriaIdEnd(Long materiaIdEnd){
		this.materiaIdEnd = materiaIdEnd;
	}

	/**
	 * 获取 增加 物料ID
	 * @return materiaIdIncrement
	 */
	public Long getMateriaIdIncrement(){
		return this.materiaIdIncrement;
	}

	/**
	 * 设置 增加 物料ID
	 * @param materiaIdIncrement
	 */
	public void setMateriaIdIncrement(Long materiaIdIncrement){
		this.materiaIdIncrement = materiaIdIncrement;
	}

	/**
	 * 获取 物料ID
	 * @return materiaIdList
	 */
	public List<Long> getMateriaIdList(){
		return this.materiaIdList;
	}

	/**
	 * 设置 物料ID
	 * @param materiaIdList
	 */
	public void setMateriaIdList(List<Long> materiaIdList){
		this.materiaIdList = materiaIdList;
	}

	/**
	 * 获取 开始 供应商ID，partner表ID
	 * @return supplierIdStart
	 */
	public Long getSupplierIdStart(){
		return this.supplierIdStart;
	}

	/**
	 * 设置 开始 供应商ID，partner表ID
	 * @param supplierIdStart
	 */
	public void setSupplierIdStart(Long supplierIdStart){
		this.supplierIdStart = supplierIdStart;
	}

	/**
	 * 获取 结束 供应商ID，partner表ID
	 * @return supplierIdEnd
	 */
	public Long getSupplierIdEnd(){
		return this.supplierIdEnd;
	}

	/**
	 * 设置 结束 供应商ID，partner表ID
	 * @param supplierIdEnd
	 */
	public void setSupplierIdEnd(Long supplierIdEnd){
		this.supplierIdEnd = supplierIdEnd;
	}

	/**
	 * 获取 增加 供应商ID，partner表ID
	 * @return supplierIdIncrement
	 */
	public Long getSupplierIdIncrement(){
		return this.supplierIdIncrement;
	}

	/**
	 * 设置 增加 供应商ID，partner表ID
	 * @param supplierIdIncrement
	 */
	public void setSupplierIdIncrement(Long supplierIdIncrement){
		this.supplierIdIncrement = supplierIdIncrement;
	}

	/**
	 * 获取 供应商ID，partner表ID
	 * @return supplierIdList
	 */
	public List<Long> getSupplierIdList(){
		return this.supplierIdList;
	}

	/**
	 * 设置 供应商ID，partner表ID
	 * @param supplierIdList
	 */
	public void setSupplierIdList(List<Long> supplierIdList){
		this.supplierIdList = supplierIdList;
	}

	/**
	 * 获取 开始 交货期
	 * @return deliveryPeriodStart
	 */
	public Long getDeliveryPeriodStart(){
		return this.deliveryPeriodStart;
	}

	/**
	 * 设置 开始 交货期
	 * @param deliveryPeriodStart
	 */
	public void setDeliveryPeriodStart(Long deliveryPeriodStart){
		this.deliveryPeriodStart = deliveryPeriodStart;
	}

	/**
	 * 获取 结束 交货期
	 * @return deliveryPeriodEnd
	 */
	public Long getDeliveryPeriodEnd(){
		return this.deliveryPeriodEnd;
	}

	/**
	 * 设置 结束 交货期
	 * @param deliveryPeriodEnd
	 */
	public void setDeliveryPeriodEnd(Long deliveryPeriodEnd){
		this.deliveryPeriodEnd = deliveryPeriodEnd;
	}

	/**
	 * 获取 增加 交货期
	 * @return deliveryPeriodIncrement
	 */
	public Long getDeliveryPeriodIncrement(){
		return this.deliveryPeriodIncrement;
	}

	/**
	 * 设置 增加 交货期
	 * @param deliveryPeriodIncrement
	 */
	public void setDeliveryPeriodIncrement(Long deliveryPeriodIncrement){
		this.deliveryPeriodIncrement = deliveryPeriodIncrement;
	}

	/**
	 * 获取 交货期
	 * @return deliveryPeriodList
	 */
	public List<Long> getDeliveryPeriodList(){
		return this.deliveryPeriodList;
	}

	/**
	 * 设置 交货期
	 * @param deliveryPeriodList
	 */
	public void setDeliveryPeriodList(List<Long> deliveryPeriodList){
		this.deliveryPeriodList = deliveryPeriodList;
	}

	/**
	 * 获取 开始 交货期单位，参数配置-DeliveryPeriodUnit小时，工作日，自然日，周，月
	 * @return deliveryPeriodUnitStart
	 */
	public Integer getDeliveryPeriodUnitStart(){
		return this.deliveryPeriodUnitStart;
	}

	/**
	 * 设置 开始 交货期单位，参数配置-DeliveryPeriodUnit小时，工作日，自然日，周，月
	 * @param deliveryPeriodUnitStart
	 */
	public void setDeliveryPeriodUnitStart(Integer deliveryPeriodUnitStart){
		this.deliveryPeriodUnitStart = deliveryPeriodUnitStart;
	}

	/**
	 * 获取 结束 交货期单位，参数配置-DeliveryPeriodUnit小时，工作日，自然日，周，月
	 * @return deliveryPeriodUnitEnd
	 */
	public Integer getDeliveryPeriodUnitEnd(){
		return this.deliveryPeriodUnitEnd;
	}

	/**
	 * 设置 结束 交货期单位，参数配置-DeliveryPeriodUnit小时，工作日，自然日，周，月
	 * @param deliveryPeriodUnitEnd
	 */
	public void setDeliveryPeriodUnitEnd(Integer deliveryPeriodUnitEnd){
		this.deliveryPeriodUnitEnd = deliveryPeriodUnitEnd;
	}

	/**
	 * 获取 增加 交货期单位，参数配置-DeliveryPeriodUnit小时，工作日，自然日，周，月
	 * @return deliveryPeriodUnitIncrement
	 */
	public Integer getDeliveryPeriodUnitIncrement(){
		return this.deliveryPeriodUnitIncrement;
	}

	/**
	 * 设置 增加 交货期单位，参数配置-DeliveryPeriodUnit小时，工作日，自然日，周，月
	 * @param deliveryPeriodUnitIncrement
	 */
	public void setDeliveryPeriodUnitIncrement(Integer deliveryPeriodUnitIncrement){
		this.deliveryPeriodUnitIncrement = deliveryPeriodUnitIncrement;
	}

	/**
	 * 获取 交货期单位，参数配置-DeliveryPeriodUnit小时，工作日，自然日，周，月
	 * @return deliveryPeriodUnitList
	 */
	public List<Integer> getDeliveryPeriodUnitList(){
		return this.deliveryPeriodUnitList;
	}

	/**
	 * 设置 交货期单位，参数配置-DeliveryPeriodUnit小时，工作日，自然日，周，月
	 * @param deliveryPeriodUnitList
	 */
	public void setDeliveryPeriodUnitList(List<Integer> deliveryPeriodUnitList){
		this.deliveryPeriodUnitList = deliveryPeriodUnitList;
	}

	/**
	 * 获取 供应商物料代码
	 * @return supplierMateriaCodeList
	 */
	public List<String> getSupplierMateriaCodeList(){
		return this.supplierMateriaCodeList;
	}

	/**
	 * 设置 供应商物料代码
	 * @param supplierMateriaCodeList
	 */
	public void setSupplierMateriaCodeList(List<String> supplierMateriaCodeList){
		this.supplierMateriaCodeList = supplierMateriaCodeList;
	}

	/**
	 * 获取 开始 计量单位，参数配置-UnitOfMeasure
	 * @return unitOfMeasureStart
	 */
	public Long getUnitOfMeasureStart(){
		return this.unitOfMeasureStart;
	}

	/**
	 * 设置 开始 计量单位，参数配置-UnitOfMeasure
	 * @param unitOfMeasureStart
	 */
	public void setUnitOfMeasureStart(Long unitOfMeasureStart){
		this.unitOfMeasureStart = unitOfMeasureStart;
	}

	/**
	 * 获取 结束 计量单位，参数配置-UnitOfMeasure
	 * @return unitOfMeasureEnd
	 */
	public Long getUnitOfMeasureEnd(){
		return this.unitOfMeasureEnd;
	}

	/**
	 * 设置 结束 计量单位，参数配置-UnitOfMeasure
	 * @param unitOfMeasureEnd
	 */
	public void setUnitOfMeasureEnd(Long unitOfMeasureEnd){
		this.unitOfMeasureEnd = unitOfMeasureEnd;
	}

	/**
	 * 获取 增加 计量单位，参数配置-UnitOfMeasure
	 * @return unitOfMeasureIncrement
	 */
	public Long getUnitOfMeasureIncrement(){
		return this.unitOfMeasureIncrement;
	}

	/**
	 * 设置 增加 计量单位，参数配置-UnitOfMeasure
	 * @param unitOfMeasureIncrement
	 */
	public void setUnitOfMeasureIncrement(Long unitOfMeasureIncrement){
		this.unitOfMeasureIncrement = unitOfMeasureIncrement;
	}

	/**
	 * 获取 计量单位，参数配置-UnitOfMeasure
	 * @return unitOfMeasureList
	 */
	public List<Long> getUnitOfMeasureList(){
		return this.unitOfMeasureList;
	}

	/**
	 * 设置 计量单位，参数配置-UnitOfMeasure
	 * @param unitOfMeasureList
	 */
	public void setUnitOfMeasureList(List<Long> unitOfMeasureList){
		this.unitOfMeasureList = unitOfMeasureList;
	}

	/**
	 * 获取 开始 供货成本，单位：厘/计量单位
	 * @return costPlanStart
	 */
	public Long getCostPlanStart(){
		return this.costPlanStart;
	}

	/**
	 * 设置 开始 供货成本，单位：厘/计量单位
	 * @param costPlanStart
	 */
	public void setCostPlanStart(Long costPlanStart){
		this.costPlanStart = costPlanStart;
	}

	/**
	 * 获取 结束 供货成本，单位：厘/计量单位
	 * @return costPlanEnd
	 */
	public Long getCostPlanEnd(){
		return this.costPlanEnd;
	}

	/**
	 * 设置 结束 供货成本，单位：厘/计量单位
	 * @param costPlanEnd
	 */
	public void setCostPlanEnd(Long costPlanEnd){
		this.costPlanEnd = costPlanEnd;
	}

	/**
	 * 获取 增加 供货成本，单位：厘/计量单位
	 * @return costPlanIncrement
	 */
	public Long getCostPlanIncrement(){
		return this.costPlanIncrement;
	}

	/**
	 * 设置 增加 供货成本，单位：厘/计量单位
	 * @param costPlanIncrement
	 */
	public void setCostPlanIncrement(Long costPlanIncrement){
		this.costPlanIncrement = costPlanIncrement;
	}

	/**
	 * 获取 供货成本，单位：厘/计量单位
	 * @return costPlanList
	 */
	public List<Long> getCostPlanList(){
		return this.costPlanList;
	}

	/**
	 * 设置 供货成本，单位：厘/计量单位
	 * @param costPlanList
	 */
	public void setCostPlanList(List<Long> costPlanList){
		this.costPlanList = costPlanList;
	}

	/**
	 * 获取 开始 变更时间
	 * @return updateTimeStart
	 */
	public String getUpdateTimeStart(){
		return this.updateTimeStart;
	}

	/**
	 * 设置 开始 变更时间
	 * @param updateTimeStart
	 */
	public void setUpdateTimeStart(String updateTimeStart){
		this.updateTimeStart = updateTimeStart;
	}

	/**
	 * 获取 结束 变更时间
	 * @return updateTimeEnd
	 */
	public String getUpdateTimeEnd(){
		return this.updateTimeEnd;
	}

	/**
	 * 设置 结束 变更时间
	 * @param updateTimeEnd
	 */
	public void setUpdateTimeEnd(String updateTimeEnd){
		this.updateTimeEnd = updateTimeEnd;
	}

	/**
	 * 获取 变更用户loginName
	 * @return updateUserList
	 */
	public List<String> getUpdateUserList(){
		return this.updateUserList;
	}

	/**
	 * 设置 变更用户loginName
	 * @param updateUserList
	 */
	public void setUpdateUserList(List<String> updateUserList){
		this.updateUserList = updateUserList;
	}

	/**
	 * 获取 开始 创建时间
	 * @return createTimeStart
	 */
	public String getCreateTimeStart(){
		return this.createTimeStart;
	}

	/**
	 * 设置 开始 创建时间
	 * @param createTimeStart
	 */
	public void setCreateTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
	}

	/**
	 * 获取 结束 创建时间
	 * @return createTimeEnd
	 */
	public String getCreateTimeEnd(){
		return this.createTimeEnd;
	}

	/**
	 * 设置 结束 创建时间
	 * @param createTimeEnd
	 */
	public void setCreateTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
	}

	/**
	 * 获取 创建用户loginName
	 * @return createUserList
	 */
	public List<String> getCreateUserList(){
		return this.createUserList;
	}

	/**
	 * 设置 创建用户loginName
	 * @param createUserList
	 */
	public void setCreateUserList(List<String> createUserList){
		this.createUserList = createUserList;
	}

	/**
	 * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
	 * @return orConditionList
	 */
	public List<MateriaSupplierQuery> getOrConditionList(){
		return this.orConditionList;
	}

	/**
	 * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
	 * @param orConditionList
	 */
	public void setOrConditionList(List<MateriaSupplierQuery> orConditionList){
		this.orConditionList = orConditionList;
	}

	/**
	 * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
	 * @return andConditionList
	 */
	public List<MateriaSupplierQuery> getAndConditionList(){
		return this.andConditionList;
	}

	/**
	 * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
	 * @param andConditionList
	 */
	public void setAndConditionList(List<MateriaSupplierQuery> andConditionList){
		this.andConditionList = andConditionList;
	}


}